<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/vehicles/misc/lights/expansion250nfrontlight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d72/a03140_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansion250nfrontlight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d72/a03140.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/d58/a07561.html">    1</a></span><span class="keyword">class </span>Expansion250NFrontLight <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/d58/a07561.html">CarLightBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/d58/a07561.html#aa9cc639796746a12e38eee32d294399e">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d58/a07561.html#aa9cc639796746a12e38eee32d294399e">Expansion250NFrontLight</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        m_SegregatedBrightness = 6;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        m_SegregatedRadius = 60;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        m_SegregatedAngle = 100;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        m_SegregatedColorRGB = Vector(1.0, 0.8, 0.8);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_AggregatedBrightness = 11;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_AggregatedRadius = 80;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_AggregatedAngle = 110;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        m_AggregatedColorRGB = Vector(1.0, 0.8, 0.8);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        FadeIn(0.3);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        SetFadeOutTime(0.25);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        SegregateLight();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>};</div>
<div class="ttc" id="aa07561_html"><div class="ttname"><a href="../../d8/d58/a07561.html">CarLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d72/a03140_source.html#l00001">expansion250nfrontlight.c:2</a></div></div>
<div class="ttc" id="aa07561_html_aa9cc639796746a12e38eee32d294399e"><div class="ttname"><a href="../../d8/d58/a07561.html#aa9cc639796746a12e38eee32d294399e">CarLightBase::Expansion250NFrontLight</a></div><div class="ttdeci">void Expansion250NFrontLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d72/a03140_source.html#l00003">expansion250nfrontlight.c:3</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_600e33639e8af487c3039d73b5771cee.html">vehicles</a></li><li class="navelem"><a class="el" href="../../dir_ad6575bc355d79521099d9345d28394c.html">misc</a></li><li class="navelem"><a class="el" href="../../dir_b25cf6b6633b8f1ee806ab3104f4ca5e.html">lights</a></li><li class="navelem"><a class="el" href="../../da/d72/a03140.html">expansion250nfrontlight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
